Subject: Starting bash from Explorer
From: [email-masked] ("Peter B. West")

4 Aug 1997 20:30:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=====================_870712638==_"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Light Version 3.0.2 b5 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

--=====================_870712638==_
Content-Type: text/plain; charset="us-ascii"

One and all,

My apologies if this has been mentioned before, but I haven't seen it in a
few months.

I have modified the file Doshere.inf, part of the power toys package from
MS.  Doshere installs in the right-button menu of Explorer, and offers to
open a Dos box in the specified directory.  bashhere.inf makes a similar
offer of a bash shell.  I find it useful.

Your faithfully,
Peter
--=====================_870712638==_
Content-Type: text/plain; charset="us-ascii"
Content-Disposition: attachment; filename="bashhere.inf"

; "bash prompt here" by Peter West
; Based on:-
; "Command Prompt Here" PowerToy
;
; Parts Copyright 1996 Microsoft Corporation
;
; NOTES:
; This setup is currently working under Windows 95.  My configuration includes
; Service Pack 1 and a number of recent fixes downloaded from MS.  Mail me if
; you need more info on this.
;
; This file is based directly on the PowerToys doshere.inf, which installs
; entries in the registry to allow startup, via right-clicking on a directory
; in Explorer, of a console window rooted in the selected directory.  After
; installation of doshere.inf, the menu entry -
;   Command _Prompt Here
; appears in the right-click menu.
;
; In this case (bashhere.inf), the menu item is
;   bash shel_L here
;
; I experienced some frustration in trying to get the "cd" to work
; properly, until I decided to experiment from a bare-bones bash console.  I
; set the command entry to what you see below:
;   %BashWinBin%\bash.exe
; and it worked!  By default, the bash window was cd'd to the selected directory.
; Another bonus is that long file names are preserved.
;
; *** REMEMBER to define %BashWinBin% appropriately for your system ***
;
; **WARNING*  I have not attempted to do this in NT (I don't have NT), so I have
; NO idea whether it will work.
;
; SETUP:
; From wherever you download the file, right-click on the file in Explorer,
; and select Install.  The new entry will appear in the Explorer right-click
; menu list when you select a drive or directory.
;
; This .inf file is copied to the \windows\inf directory, and entries, as detailed
; below, are made in the registry.
;
; UNINSTALLING:
; Use Control Panel|Add/Remove Programs
;
[version]
signature="$CHICAGO$"

[BashHereInstall]
CopyFiles = BashHere.Files.Inf
AddReg    = BashHere.Reg

[DefaultInstall]
CopyFiles = BashHere.Files.Inf
AddReg    = BashHere.Reg

; WARNING - untested
[DefaultInstall.ntx86]
CopyFiles = BashHere.Files.Inf
AddReg    = BashHere.Reg.NT

[DefaultUnInstall]
DelFiles  = BashHere.Files.Inf
DelReg    = BashHere.Reg

; WARNING - untested
[DefaultUnInstall.ntx86]
DelFiles  = BashHere.Files.Inf
DelReg    = BashHere.Reg.NT

[SourceDisksNames]
55="BASH Prompt Here","",1

[SourceDisksFiles]
BASHHERE.INF=55

[DestinationDirs]
BashHere.Files.Inf = 17

[BashHere.Files.Inf]
BASHHERE.INF

[BashHere.Reg]
HKLM,%UDHERE%
HKLM,%UDHERE%,DisplayName,,"%BashHereName%"
HKLM,%UDHERE%,UninstallString,,"%10%\rundll.exe setupx.dll,InstallHinfSection DefaultUninstall 132 %17%\BashHere.inf"
HKCR,Directory\Shell\BashHere,,,"%BashHereAccel%"
HKCR,Directory\Shell\BashHere\command,,,"%BashWinBin%\bash.exe"
HKCR,Drive\Shell\BashHere,,,"%BashHereAccel%"
HKCR,Drive\Shell\BashHere\command,,,"%BashWinBin%\bash.exe"

; WARNING -untested
[BashHere.Reg.NT]
HKLM,%UDHERE%
HKLM,%UDHERE%,DisplayName,,"%BashHereName%"
HKLM,%UDHERE%,UninstallString,,"rundll32.exe syssetup.dll,SetupInfObjectInstallAction DefaultUninstall 132 %17%\BashHere.inf"
HKCR,Directory\Shell\BashHere,,,"%BashHereAccel%"
HKCR,Directory\Shell\BashHere\command,,,"%BashWinBin%\bash.exe"
HKCR,Drive\Shell\BashHere,,,"%BashHereAccel%"
HKCR,Drive\Shell\BashHere\command,,,"%BashWinBin%\bash.exe"

[Strings]
BashHereName="bash prompt here Power Toy"
BashHereAccel="bash shel&L here"
UDHERE="Software\Microsoft\Windows\CurrentVersion\Uninstall\BashHere"
; ***** N.B. *****  Remember to redefine this for your system
BashWinBin="E:\gnu-w32\H-i386-cygwin32\bin"

--=====================_870712638==_
Content-Type: text/plain; charset="us-ascii"

 __ /__   Peter B. West
   /     [email-masked]
  /    "Master, to whom shall we go?"
--=====================_870712638==_--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".